Bug 179404 - segmentation fault with core=dynamic
segmentation fault with core=dynamic
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dosbox (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://sourceforge.net/tracker/index....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 19:19 EST by Andrew
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 01:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2006-01-30 19:19:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When setting CPU to core=dynamic, dosbox crashes.



Version-Release number of selected component (if applicable):
dosbox-0.63-6

How reproducible:
Always

Steps to Reproduce:
1. Create file 
---dosbox.conf---
[cpu]
core=dynamic
----------------
2. Run "dosbox -conf dosbox.conf"
  

Actual Results:  CONFIG:Loading settings from config file dosbox3
ALSA lib seq_hw.c:455:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
ALSA:Can't open sequencer
MIDI:Opened device:none
Fatal signal: Segmentation Fault (SDL Parachute Deployed)



Expected Results:  No crash

Additional info:

Linux 2.6.14-1.1656_FC4smp 
Dual AMD Opterons in 32-bit mode
Comment 1 Andrew Ziem 2006-01-30 21:03:24 EST
No crash on Linux 2.6.14-1.1656_FC4 with single AMD Athlon XP 3000+ CPU
(32-bit-only), so perhaps the cash is only causde by the SMP?
Comment 2 Andreas Bierfert 2006-02-08 01:51:22 EST
This seems like a x86_64 issue. I reported this upstream. If you feel like it
take a look at this bug:
http://sourceforge.net/tracker/index.php?func=detail&aid=1427103&group_id=52551&atid=467232

Note You need to log in before you can comment on or make changes to this bug.